org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtPartitionHistorySuppliersMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtPartitionHistorySuppliersMap

All Implemented Interfaces:
  Serializable

    public class IgniteDhtPartitionHistorySuppliersMap
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtPartitionHistorySuppliersMap()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IgniteDhtPartitionHistorySuppliersMap` `empty()`
`Map<T2<Integer,Integer>,Long>` `getReservations(UUID nodeId)`
`UUID` `getSupplier(int grpId, int partId, long cntrSince)`
`boolean` `isEmpty()`
`void` `put(UUID nodeId, int grpId, int partId, long cntr)`
`void` `putAll(IgniteDhtPartitionHistorySuppliersMap that)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDhtPartitionHistorySuppliersMap

    public IgniteDhtPartitionHistorySuppliersMap()

### Method Detail

#### empty

    public static IgniteDhtPartitionHistorySuppliersMap empty()

Returns:
  Empty map.

#### getSupplier

    @Nullable
    public UUID getSupplier(int grpId,
                                      int partId,
                                      long cntrSince)

Parameters:
  `grpId` - Group ID.
  `partId` - Partition ID.
  `cntrSince` - Partition update counter since history supplying is requested.
Returns:
  Supplier UUID.

#### getReservations

    @Nullable
    public Map<T2<Integer,Integer>,Long> getReservations(UUID nodeId)

Parameters:
  `nodeId` - Node ID to check.
Returns:
  Reservations for the given node.

#### put

    public void put(UUID nodeId,
                    int grpId,
                    int partId,
                    long cntr)

Parameters:
  `nodeId` - Node ID.
  `grpId` - Cache group ID.
  `partId` - Partition ID.
  `cntr` - Partition counter.

#### isEmpty

    public boolean isEmpty()

Returns:
  `True` if empty.

#### putAll

    public void putAll(IgniteDhtPartitionHistorySuppliersMap that)

Parameters:
  `that` - Other map to put.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018